import logging
from context.service.database.Database import Database
from context.service.database._engine.Factory import get_database_backend, BackendEnum
from .populate_database import sequence

logging.basicConfig(level=logging.INFO)

def test_inmemory():
    database_backend = get_database_backend(engine=BackendEnum.INMEMORY)
    sequence(Database(database_backend))
